/*
--------------------------------------------------------------------------------
-- Project:         PRO2 "Awareness and Optimisation of energy consumption"
-- Team:            Team 1

-- File Name:       rgb_led.h
-- Author:          Poul Erik Tjørnfelt
-- Date:            07/05-2017
-- Copyright:       Open to all
-- Version:         0.6 - Creation of file.
--                  1.0 - File approval.
--
-- Description:     The header file for a class, that creates instances of
--                  the actual RGB lamp that is used.
--
--------------------------------------------------------------------------------
*/

#ifndef RGB_LED_H
#define RGB_LED_H
#include "mbed.h"

class RGB_LED
{
public:
    RGB_LED(PinName pin_R, PinName pin_G, PinName pin_B);
    void set(float red, float green, float blue);
    void flash(float per_r, float time_r, float per_g, float time_g,
                float per_b, float time_b);

private:
    PwmOut pin_r;
    PwmOut pin_g;
    PwmOut pin_b;
};

#endif